/*External styling*/
#external {
	color: yellow;
}

/*Universal selector*/
* {
	font-family: sans-serif;
	font-size: 20px;
}

/*Type selector*/
h1 {
	font-size: 3rem;
}

/*ID Selector*/
#upper {
	text-transform: uppercase;
}

/*Class Selector*/
.languages {
	background-color: darkseagreen;
}

/*Attribute Selector*/
li[class="tools"] {
	border-width: 1px;
	border-style: solid;
	border-color: blue;
	width: 90%;
}

/*Adjacent sibling selector*/
img + ol {
	list-style-type: none;
}


/*Descendant selector*/
section img {
	height: 150px;
	width: 150px;
	border-radius: 150px;
}

/*General sibling selector*/
h2 ~ p {
	text-align: center;
	color: black;
}

/*Child selector*/
body > section > ol > li {
	letter-spacing: 5px;
}